SCUMMVM(6)

NAME
scummvm - graphic adventure game interpreter

SYNOPSIS
scummvm [OPTIONS] [GAME]

DESCRIPTION
scummvm is an interpreter that will play graphic adventure games based on a variety of game engines.

GAME is a short name of game to load. For example, scumm:monkey for Monkey Island. This can be either a built-in gameid, or a user configured target.

OPTIONS

Please note that more detailed information for the following options can be found in the README file.

The meaning of most long options (that is, those options starting with a double-dash) can be inverted by prefixing them with no-. For example, --no-aspect-ratio will turn aspect ratio correction off. This is useful if you want to override a setting in the configuration file.

-v, --version
    Display ScummVM version information and exit.

-h, --help
    Display a brief help text and exit.

-z, --list-games
    Display list of supported games and exit.

-t, --list-targets
    Display list of configured targets and exit.

-t, --list-engines
    Display list of suppported engines and exit.

--list-saves
    Display a list of saved games for the target specified with --game=TARGET or all targets if none is specified.

-a, --add
    Add all games from current or specified directory. If --game=ID is passed only the game with id ID is added. See also --detect. Use --path=PATH to specify a directory.

--detect
    Display a list of games with their ID from current or specified directory without adding it to the config. Use --path=PATH to specify a directory.

--game=ID
    In combination with --add or --detect only adds or attempts to detect the game with id ID.

--auto-detect
    Display a list of games from current or specified directory and start the first one. Use --path=PATH to specify a directory.

--recursive
    In combination with --add or --detect recurse down all subdirectories

-c, --config=CONFIG
    Use alternate configuration file.

-p, --path=PATH
    Path to where the game is installed.

-x, --save-slot=[SLOT]
    Saved game slot to load (default: autosave).

-f, --fullscreen
    Force full-screen mode.

-F, --no-fullscreen
    Force windowed mode.

-g, --gfx-mode=MODE
    Select graphics scaler:

    1x  No filtering, no scaling. Fastest.

    2x  No filtering, factor 2x (default for non 640x480 games).

    3x  No filtering, factor 3x.

    2xsai
        2xSAI filter, factor 2x.

    super2xsai
        Enhanced 2xSAI filtering, factor 2x.

    supereagle
        Less blurry than 2xSAI, but slower. Factor 2x.

    advmame2x
        Doesn't rely on blurring like 2xSAI, fast. Factor 2x.

    advmame3x
        Doesn't rely on blurring like 2xSAI, fast. Factor 3x.

    hq2x
        Very nice high quality filter but slow. Factor 2x.

    hq3x
        Very nice high quality filter but slow. Factor 3x.

    tv2x
        Interlace filter, tries to emulate a TV. Factor 2x.

    dotmatrix
        Dot matrix effect. Factor 2x.

--stretch-mode=MODE
    Select stretch mode (center, integral, fit, stretch)

--filtering
    Force filtered graphics mode

--no-filtering
    Force unfiltered graphics mode

--gui-theme=THEME
    Select GUI theme (default, modern, classic)

--themepath=PATH
    Path to where GUI themes are stored

--list-themes
    Display list of all usable GUI themes

-e, --music-driver=MODE
    Select music driver:

    null
        Null output. Don't play any music.

    adlib
        Internal AdLib emulation

    fluidsynth
        FluidSynth MIDI emulation

    mt32
        Internal MT-32 emulation

    pcjr
        Internal PCjr emulation (only usable in SCUMM games)

    pcspk
        Internal PC Speaker emulation

    towns
        Internal FM-TOWNS YM2612 emulation (only usable in SCUMM FM-TOWNS games)

    alsa
        Output using ALSA sequencer device

    core
        CoreAudio sound, for Mac OS X users

    coremidi
        CoreMIDI sound, for Mac OS X users. Use only if you have a hardware MIDI synthesizer.

    seq Use /dev/sequencer for MIDI, *nix users.

    timidity
        Connect to TiMidity++ MIDI server.

    windows
        Windows built in MIDI sequencer for Windows users

--list-audio-devices
    List all available audio devices

-q, --language=LANG
    Select game's language:

    cz  Czech

    de  German

    en  English (USA) (default)

    es  Spanish

    fr  French

    gb  English (Great Britain)

    hb  Hebrew

    it  Italian

    jp  Japanese

    kr  Korean

    pt  Portuguese

    ru  Russian

    se  Swedish

    zh  Chinese

-m, --music-volume=NUM
    Set the music volume, 0-255 (default: 192).

-s, --sfx-volume=NUM
    Set the sfx volume to, 0-255 (default: 192).

-r, --speech-volumeNUM
    Set the voice volume to, 0-255 (default: 192).

--midi-gain=NUM
    Set the gain for MIDI playback, 0-1000 (default: 100)
    (only supported by some MIDI drivers)

-n, --subtitles
    Enable subtitles (use with games that have voice).

-b, --boot-param=NUM
    Pass number to the boot script (boot param).

-d, --debuglevel=NUM
    Set debug verbosity level

--debugflags=Arm FLAGS
    Enable engine specific debug flags (separated by commas)

-u, --dump-scripts
    Enable script dumping if a directory called dumps exists in the current directory.

--cdrom=NUM
    CD drive to play CD audio from (default: 0 = first drive).

--joystick=[NUM]
    Enable joystick input (default: 0 = first joystick).

--platform=WORD
    Specify platform of game (allowed values: 2gs, 3do, acorn, amiga, atari, c64, fmtowns, mac, nes, pc, pce, segacd, windows)

--savepath=PATH
    Path to where saved games are stored

--extrapath=PATH
    Extra path to additional game data

--soundfont=FILE
    Select the SoundFont for MIDI playback (only supported by some MIDI drivers).

--multi-midi
    Enable combination of AdLib and native MIDI.

--native-mt32
    True Roland MT-32 MIDI (disable GM emulation).

--enable-gs
    Enable Roland GS mode for MIDI playback.

--output-rate=RATE
    Set output sample rate in Hz (e.g. 22050).

--opl-driver=DRIVER
    Select AdLib (OPL) emulator (db, mame, nuked)

--aspect-ratio
    Enable aspect ratio correction.

--render-mode=MODE
    Enable additional render modes (hercGreen, hercAmber, cga, ega, vga, amiga, fmtowns, pc9821, pc9801, 2gs, atari, macintosh)

--alt-intro
    Use alternative intro for CD versions of Beneath a Steel Sky and Flight of the Amazon Queen.

--copy-protection
    Enable copy protection in games, when ScummVM disables it by default.

--talkspeed=NUM
    Set talk delay for SCUMM games, or talk speed for other games (default: 60)

--demo-mode
    Start demo mode of Maniac Mansion (Classic version)

--tempo=NUM
    Set music tempo (in percent, 50-200) for SCUMM games (default: 100).

INGAME HOTKEYS

Ctrl-F5
    Display the Global Menu

Cmd-q
    Quit (Mac OS X)

Ctrl-q
    Quit (Most platforms)

Ctrl-u
    Mute all sounds

Ctrl-m
    Toggle mouse capture

Ctrl-Alt 1-8
    Switch between graphics filters

Ctrl-Alt +
    Increase scale factor

Ctrl-Alt -
    Decrease scale factor

Ctrl-Alt a
    Toggle aspect-ratio correction

Ctrl-Alt f
    Toggle graphics filtering

Ctrl-Alt s
    Cycle through scaling modes

Alt-Enter
    Toggle full screen/windowed

Alt-s
    Make a screenshot (SDL backend only)

Ctrl-F7
    Open virtual keyboard (if enabled). This can also be triggered by a long press of the middle mouse button or wheel.

There are many more SCUMM and game-specific hotkeys. See the README file.

ENVIRONMENT

SCUMMVM_MIDI
    The sequencer device to use with the ‘seq’ MIDI driver.

SCUMMVM_MIDIPORT
    The number of the sequencer to use when using the ‘seq’ MIDI driver.

SCUMMVM_PORT
    The ALSA port to open for output when using the ‘alsa’ MIDI driver.

FILES

$HOME/.scummvmrc
    Configuration file on UNIX.

$HOME/Library/Preferences/ScummVM Preferences
    Configuration file on Mac OS X.

EXAMPLES
Running the builtin game launcher:

    $ scummvm

Running Day of the Tentacle specifying the path:

    $ scummvm -p /usr/local/share/games/tentacle scumm:tentacle

Running The Dig with advmame2x filter with subtitles:

    $ scummvm -g advmame2x -n scumm:dig

Running the Italian version of Maniac Mansion fullscreen:

    $ scummvm -q it -f scumm:maniac

SEE ALSO
More information can be found in the README and on the website https://www.scummvm.org.

AUTHORS
This manual page written by Jonathan Gray <khalek at scummvm.org>. ScummVM was written by the ScummVM team. See AUTHORS file for more information.